Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface FloatFilterType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterType, org.eclipse.emf.common.notify.Notifier, SimpleFilterType

All Known Implementing Classes:
  FloatFilterTypeImpl

    public interface FloatFilterType

extends SimpleFilterType

A representation of the model object 'Float Filter Type'.

The following features are supported:

- `Value`

See Also:
  `QueryPackage.getFloatFilterType()`

Method Summary
`float` | `getValue()` Returns the value of the 'Value' attribute.
`boolean` | `isSetValue()` Returns whether the value of the '`Value`' attribute is set.
`void` | `setValue(float value)` Sets the value of the '`Value`' attribute.
`void` | `unsetValue()` Unsets the value of the '`Value`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.SimpleFilterType
`getComparator, getDomainAttribute, isSetComparator, setComparator, setDomainAttribute, unsetComparator`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterType
`isNegate, isSetNegate, setNegate, unsetNegate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    float getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `isSetValue()`, `unsetValue()`, `setValue(float)`, `QueryPackage.getFloatFilterType_Value()`

### setValue

    void setValue(float value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `isSetValue()`, `unsetValue()`, `getValue()`

### unsetValue

    void unsetValue()

  Unsets the value of the '`Value`' attribute.

  See Also:
    `isSetValue()`, `getValue()`, `setValue(float)`

### isSetValue

    boolean isSetValue()

  Returns whether the value of the '`Value`' attribute is set.

  Returns:
    whether the value of the 'Value' attribute is set.
  See Also:
    `unsetValue()`, `getValue()`, `setValue(float)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD